%global momorel 2

Summary:          Transforms bitmaps into vector graphics
Name:             potrace
Version:          1.14
Release:          %{momorel}m%{?dist}
License:          GPL
Group:            Applications/Multimedia
URL:              http://potrace.sourceforge.net/
Source0:          http://potrace.sourceforge.net/download/%{version}/%{name}-%{version}.tar.gz
NoSource:         0
Source1:          http://potrace.sourceforge.net/potrace.pdf
NoSource:         1
Source2:          http://potrace.sourceforge.net/potracelib.pdf
NoSource:         2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
potrace is a utility for tracing a bitmap, which means, transforming a
bitmap into a smooth, scalable image.  The input is a portable bitmap
(PBM), and the default output is an encapsulated PostScript file
(EPS). A typical use is to create EPS files from scanned data, such as
company or university logos, handwritten notes, etc.  The resulting
image is not "jaggy" like a bitmap, but smooth, and it can be scaled
to any resolution. 

%package devel
Summary:         Potrace development library and headers
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}

%description devel
This package contains the potrace development library and headers.

%prep
%setup -q
cp -a %{SOURCE1} .
cp -a %{SOURCE2} .

%build
%configure --enable-metric \
           --enable-shared \
           --disable-static \
           --with-libpotrace \
           --disable-rpath \
           --enable-a4 \
           --docdir=%{_docdir}/%{name}-%{version}
%make

%install
rm -rf %{buildroot}
%makeinstall docdir=%{_builddir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README* potrace.pdf potracelib.pdf
%doc placement.pdf
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/libpotrace.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/potracelib.h
%{_libdir}/libpotrace.la
%{_libdir}/libpotrace.so

%changelog
* Mon Jun 05 2017 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.14-2m)
- revised Source URL

* Mon Jun 05 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.14-1m)
- update to 1.14

* Mon Apr 11 2016 Hajime Yoshimori <lugia@momonga-linux.org>
- (1.13-1m)
- update to 1.13
- add documents
- enable libpotrace
- removed unrecognized option --disable-compress

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.9-2m)
- rebuild for new GCC 4.6

* Sat Apr  9 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.9-1m)
- update to 1.9

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.8-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8-2m)
- full rebuild for mo7 release

* Tue Aug  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.8-1m)
- update to 1.8

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4-2m)
- rebuild against gcc43

* Sun Mar 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.4-1m)
- minor bugfixes

* Fri Jan 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.3-1m)
- minor bugfixes

* Wed Dec 24 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.2-1m)
- initial import to Momonga

* Mon Aug 18 2003 Peter Selinger <selinger@users.sourceforge.net>
- corrected Summary and Group information
